
Name: kcolorchooser
Summary: KDE Color Chooser
Version: 18.08.2
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: http://www.kde.org
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
Source1: org.kde.kcolorchooser.desktop
Source2: kcolorchooser.png
#------------------------------------------------
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}kf5i18n-devel
BuildRequires: %{_lib}kf5widgetsaddons-devel
BuildRequires: %{_lib}kf5xmlgui-devel
#------------------------------------------------

%description
KColorChooser is a simple application to select the color from the screen or
from a pallete.
Features :
   - Select colors from any location on the screen.
   - Select colors from a range of standard palletes available.
   - Color values shown in Hue-Saturation-Value (HSV), Red-Green-Blue (RGB) and
     HTML formats.


%files
%_kf5_bindir/kcolorchooser
%_kf5_iconsdir/*/*/*/kcolorchooser*
%_kf5_datadir/applications/org.kde.kcolorchooser.desktop
%_kf5_datadir/locale
%{_datadir}/pixmaps/kcolorchooser.png
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#fixed menu for KDE5
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/org.kde.kcolorchooser.desktop

#icon in pixmaps
install -Dm 0644 %SOURCE2 %buildroot/%{_datadir}/pixmaps/kcolorchooser.png

%post
update-menus

%postun
update-menus


%changelog
* Mon Jan 07 2019 adrianomorselli <adrianomorselli> 18.08.2-1uplos2019
- update
